/* NULLING STYLES */
* {
  padding: 0;
  margin: 0;
  border: 0;
}
*,
*:before,
*:after {
  -moz-box-sizing: inherit;
  -webkit-box-sizing: inherit;
  box-sizing: inherit;
}
:focus,
:active {
  outline: none;
}
a:focus,
a:active {
  outline: none;
}
nav,
footer,
header,
aside {
  display: block;
}
html,
body {
  height: 100%;
  width: 100%;
  font-size: 100%;
  line-height: 1;
  font-size: 14px;
  -ms-text-size-adjust: 100%;
  -moz-text-size-adjust: 100%;
  -webkit-text-size-adjust: 100%;
  box-sizing: border-box;
  scroll-behavior: smooth;
}
input,
button,
textarea {
  font-family: inherit;
}
input::-ms-clear {
  display: none;
}
button {
  cursor: pointer;
  padding: 0;
  border: 0;
  background: transparent;
}
button::-moz-focus-inner {
  padding: 0;
  border: 0;
  background: transparent;
}
a,
a:visited {
  text-decoration: none;
  color: inherit;
}
a:hover {
  text-decoration: none;
}
ul li {
  list-style: none;
}
img {
  display: block;
  max-width: 100%;
}
h3,
h4,
h5,
h6 {
  font-size: inherit;
  font-weight: inherit;
}

/* --------------- */

/* FONTS */
@font-face {
  font-family: "TildaSans-Light";
  src:
    url("../fonts/TildaSans-Light.woff2") format("woff2"),
    url("../fonts/TildaSans-Light.woff") format("woff");
  font-style: normal;
  font-weight: 300;
  font-display: swap;
}

@font-face {
  font-family: "TildaSans-Regular";
  src:
    url("../fonts/TildaSans-Regular.woff2") format("woff2"),
    url("../fonts/TildaSans-Regular.woff") format("woff");
  font-style: normal;
  font-weight: 400;
  font-display: swap;
}

@font-face {
  font-family: "TildaSans-Medium";
  src:
    url("../fonts/TildaSans-Medium.woff2") format("woff2"),
    url("../fonts/TildaSans-Medium.woff") format("woff");
  font-style: normal;
  font-weight: 500;
  font-display: swap;
}

@font-face {
  font-family: "TildaSans-SemiBold";
  src:
    url("../fonts/TildaSans-Semibold.woff2") format("woff2"),
    url("../fonts/TildaSans-Semibold.woff") format("woff");
  font-style: normal;
  font-weight: 600;
  font-display: swap;
}

@font-face {
  font-family: "TildaSans-Bold";
  src:
    url("../fonts/TildaSans-Bold.woff2") format("woff2"),
    url("../fonts/TildaSans-Bold.woff") format("woff");
  font-style: normal;
  font-weight: 700;
  font-display: swap;
}

/* COLORS */
:root {
  --textLight: #fff;
  --textDark: #000;
  --textColor: #9a243d;
  --textMedium: #5c5c5c;
  --textTel: #9c9c9c;

  --bgLink: #e0dfdf;
  --bgTransparentLight: #9c9c9c9f;

  --line: #e6e6e6;

  --border: #d1cfce;
  --borderColor: #a36474;

  --TildaSans_Light: "TildaSans-Light", Arial, Helvetica, sans-serif;
  --TildaSans_Regular: "TildaSans-Regular", Arial, Helvetica, sans-serif;
  --TildaSans_Medium: "TildaSans-Medium", Arial, Helvetica, sans-serif;
  --TildaSans_SemiBold: "TildaSans-SemiBold", Arial, Helvetica, sans-serif;
  --TildaSans_Bold: "TildaSans-Bold", Arial, Helvetica, sans-serif;
}

body {
  font-size: 16px;
  font-family: var(--TildaSans_Regular);
  line-height: 120%;
  color: var(--textDark);
}

body,
* {
  transition: all 0.15s linear;
}

h1 {
  font-size: 48px;
  color: var(--textLight);
  font-family: var(--TildaSans_Bold);
  line-height: 120%;
}

h2 {
  font-size: 42px;
  color: var(--textLight);
  font-family: var(--TildaSans_Light);
  line-height: 120%;
  font-weight: 300;
}

h3 {
  font-size: 42px;
  color: var(--textColor);
  font-family: var(--TildaSans_Medium);
  line-height: 120%;
}

h4 {
  font-size: 40px;
  color: var(--textDark);
  font-family: var(--TildaSans_Regular);
  line-height: 120%;
}

h5 {
  font-size: 24px;
  font-family: var(--TildaSans_Regular);
  line-height: 150%;
}

p {
  font-size: 16px;
  font-family: var(--TildaSans_Regular);
  line-height: 140%;
}

body.no-scroll {
  overflow-y: hidden;
}

.container {
  margin: 0 auto;
  width: 90vw;
  max-width: 1500px;
}

.title {
  text-align: center;
}

.text-doubleCircle {
  display: flex;
  align-items: center;
  gap: 18px;
  cursor: pointer;
}

.doubleCircle {
  cursor: pointer;
  width: 50px;
  height: 50px;
  border-radius: 50%;
  border: 1px solid var(--border);
  position: relative;
  transition: all 0.15s linear;
  display: flex;
  align-items: center;
  justify-content: center;

  &::before {
    content: "";
    width: 43px;
    height: 43px;
    position: absolute;
    top: 3px;
    left: 3px;
    border-radius: 50%;
    border: 1px solid var(--bgLink);
    transition: all 0.25s linear;
  }
}

.doubleCircle:active {
  border-color: var(--textColor);

  &::before {
    border-color: var(--textColor);
  }
}

.cross {
  cursor: pointer;
  width: 20px;
  height: 20px;
  position: relative;
  transition: all 0.15s linear;

  &::after,
  &::before {
    content: "";
    position: absolute;
    transform: rotate(45deg);
    top: 7px;
    left: -2px;
    width: 24px;
    height: 4px;
    border-radius: 2px;
    background: var(--textColor);
    transition: all 0.15s linear;
  }

  &::after {
    transform: rotate(-45deg);
  }
}

.footer__top-text {
  font-size: 21px;
  color: var(--textMedium);
  width: 70%;
}

.img-link {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 90px;
  height: 90px;
  border-radius: 50%;
  background: var(--bgLink);
  border: 1px solid transparent;
  transition: all 0.15s linear;

  img {
    width: 84px;
    object-fit: contain;
  }
}

.text-detail {
  border: 2px solid var(--textLight);
  border-radius: 16px;
  backdrop-filter: blur(8px);
  color: var(--textLight);
  padding: 15px 28px;
  width: 200px;
  display: flex;
  align-items: center;
  line-height: 120%;
  background: var(--bgTransparentLight);
}

@media (hover: hover) {
  .text-doubleCircle:hover {
    .doubleCircle {
      border-color: var(--textColor);

      &::before {
        border-color: var(--textColor);
      }
    }
  }

  .doubleCircle:hover {
    border-color: var(--textColor);

    &::before {
      border-color: var(--textColor);
    }
  }

  .cross:hover {
    &::after,
    &::before {
      background-color: var(--textMedium);
    }
  }

  .img-link:hover {
    border-color: var(--textColor);
  }
}

@media screen and (max-width: 1500px) {
  .container {
    max-width: 1200px;
  }

  .footer__top-text {
    font-size: 16px;
  }
}

@media screen and (max-width: 1200px) {
  h2 {
    font-size: 32px;
  }
}

@media screen and (max-width: 1100px) {
  .container {
    width: 92vw;
  }
 
  .footer__top-text {
    display: none;
  }
}

@media screen and (max-width: 1000px) {
  h2 {
    font-size: 24px;
  }
}

@media screen and (max-width: 800px) {
  h4 {
    font-size: 30px;
    line-height: 110%;
  }

  h5 {
    font-size: 20px;
  }

  p {
    font-size: 14px;
  }

  .container {
    width: 88vw;
  }
}

@media screen and (max-width: 600px) {
  h3 {
    font-size: 36px;
  }

  h4 {
    font-size: 26px;
  }

  .text-detail {
    width: 170px;
    font-size: 12px;
  }
}

@media screen and (max-width: 500px) {
  h1 {
    font-size: 42px;
  }

  section {
    padding: 45px 0 !important;
  }

  .doubleCircle {
    width: 40px;
    height: 40px;

    &::before {
      width: 32px;
      height: 32px;
    }
  }

  .text-detail {
    width: 150px;
    padding: 10px 16px;
    border-radius: 10px;
  }
}

@media screen and (max-width: 400px) {
  h1 {
    font-size: 40px;
  }
}
